#!/usr/bin/python

from components.microprogram import Microprogram
from components.ram import Ram
from components.caretaker import Caretaker

c=Caretaker(5000) 					# Init components (stackLocation)
c["RAM"].loadRamFile("./ram.txt")	# Load Ram from file

mic=Microprogram(c) 			# Create micro program
mic.run(800, 1024) 				# Run the micro program with run(constantPoolLocation,stackLocation)
